summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mikko Värri2011-03-03 16:41:14 +0100
committer Robby Workman2011-03-04 17:12:46 +0100
commit265db7c305d2a460c0c70dc935957c0d7982d6ff (patch)
tree1b61bbe0045b8aec632a4c4c0dbd1a9f8cadc758
parentf8f90eb3c5e42729a3b783e60b2be3c49de7ce81 (diff)
downloadslackbuilds-265db7c305d2a460c0c70dc935957c0d7982d6ff.tar.gz
libraries/haskell-OpenGLRaw: Added (raw binding for opengl)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/haskell-OpenGLRaw/README14
-rw-r--r--libraries/haskell-OpenGLRaw/doinst.sh1
-rw-r--r--libraries/haskell-OpenGLRaw/haskell-OpenGLRaw.SlackBuild90
-rw-r--r--libraries/haskell-OpenGLRaw/haskell-OpenGLRaw.info10
-rw-r--r--libraries/haskell-OpenGLRaw/slack-desc19
5 files changed, 134 insertions, 0 deletions
diff --git a/libraries/haskell-OpenGLRaw/README b/libraries/haskell-OpenGLRaw/README
new file mode 100644
index 0000000000..211d7eb2be
--- /dev/null
+++ b/libraries/haskell-OpenGLRaw/README
@@ -0,0 +1,14 @@
+OpenGLRaw is a raw Haskell binding for the OpenGL 3.2 graphics
+system and lots of OpenGL extensions. It is basically a 1:1 mapping
+of OpenGL's C API, intended as a basis for a nicer interface.
+OpenGLRaw offers access to all necessary functions, tokens and types
+plus a general facility for loading extension entries. The module
+hierarchy closely mirrors the naming structure of the OpenGL
+extensions, making it easy to find the right module to import. All
+API entries are loaded dynamically. If an API entry is not found at
+runtime, a userError is thrown.
+
+This requires ghc.
+
+After uninstalling, run this command to unregister the package from
+the ghc package database: ghc-pkg recache
diff --git a/libraries/haskell-OpenGLRaw/doinst.sh b/libraries/haskell-OpenGLRaw/doinst.sh
new file mode 100644
index 0000000000..3268c238bf
--- /dev/null
+++ b/libraries/haskell-OpenGLRaw/doinst.sh
@@ -0,0 +1 @@
+chroot . /usr/bin/ghc-pkg recache
diff --git a/libraries/haskell-OpenGLRaw/haskell-OpenGLRaw.SlackBuild b/libraries/haskell-OpenGLRaw/haskell-OpenGLRaw.SlackBuild
new file mode 100644
index 0000000000..49f9970446
--- /dev/null
+++ b/libraries/haskell-OpenGLRaw/haskell-OpenGLRaw.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for OpenGLRaw
+
+# Written by Mikko Värri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=haskell-OpenGLRaw
+VERSION=${VERSION:-1.1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$( echo $PRGNAM | cut -d- -f2- )"
+
+GHC_VERSION=$(ghc --numeric-version)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+runghc Setup.hs configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$SRCNAM-$VERSION \
+ --enable-shared \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runghc Setup.hs build
+runghc Setup.hs haddock
+runghc Setup.hs copy --destdir=$PKG
+runghc Setup.hs register --gen-pkg-config
+
+PKGCONFD=/usr/lib${LIBDIRSUFFIX}/ghc-${GHC_VERSION}/package.conf.d
+PKGID=$( grep -E "^id: " $SRCNAM-$VERSION.conf | cut -d" " -f2 )
+mkdir -p $PKG/$PKGCONFD
+mv $SRCNAM-$VERSION.conf $PKG/$PKGCONFD/$PKGID.conf
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/haskell-OpenGLRaw/haskell-OpenGLRaw.info b/libraries/haskell-OpenGLRaw/haskell-OpenGLRaw.info
new file mode 100644
index 0000000000..bf18fa575a
--- /dev/null
+++ b/libraries/haskell-OpenGLRaw/haskell-OpenGLRaw.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-OpenGLRaw"
+VERSION="1.1.0.1"
+HOMEPAGE="http://hackage.haskell.org/package/OpenGLRaw"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/OpenGLRaw/1.1.0.1/OpenGLRaw-1.1.0.1.tar.gz"
+MD5SUM="efe968cf32e46ae61b7b19edc2711044"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Värri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/libraries/haskell-OpenGLRaw/slack-desc b/libraries/haskell-OpenGLRaw/slack-desc
new file mode 100644
index 0000000000..01eb26c905
--- /dev/null
+++ b/libraries/haskell-OpenGLRaw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-OpenGLRaw: haskell-OpenGLRaw (A raw binding for the OpenGL graphics system)
+haskell-OpenGLRaw:
+haskell-OpenGLRaw: OpenGLRaw is a raw Haskell binding for the OpenGL 3.2 graphics
+haskell-OpenGLRaw: system and lots of OpenGL extensions. It is basically a 1:1 mapping
+haskell-OpenGLRaw: of OpenGL's C API, intended as a basis for a nicer interface.
+haskell-OpenGLRaw: OpenGLRaw offers access to all necessary functions, tokens and types
+haskell-OpenGLRaw: plus a general facility for loading extension entries. The module
+haskell-OpenGLRaw: hierarchy closely mirrors the naming structure of the OpenGL
+haskell-OpenGLRaw: extensions, making it easy to find the right module to import. All
+haskell-OpenGLRaw: API entries are loaded dynamically. If an API entry is not found at
+haskell-OpenGLRaw: runtime, a userError is thrown.